I18nGrailsPlugin (Grails 3.2.4)
Date: 2016-12-21

Package: org.grails.plugins.i18n

## [Groovy] Class I18nGrailsPlugin

- org.grails.plugins.i18n.I18nGrailsPlugin

- Configures Grails' internationalisation support.

  Authors:
    Graeme Rocher
  Since:
    0.4

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static java.lang.String` | `I18N_CACHE_SECONDS` |
    `static java.lang.String` | `I18N_FILE_CACHE_SECONDS` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `java.lang.String` | `baseDir`
    `java.lang.String` | `version`
    `java.lang.String` | `watchedResources`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `groovy.lang.Closure` | `doWithSpring()`
    `java.lang.Object` | `isChildOfFile(java.io.File child, java.io.File parent)`
    `void` | `onChange(java.util.Map<java.lang.String, java.lang.Object> event)`
    `java.lang.Object` | `relativePath(java.io.File relbase, java.io.File file)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Plugin` | `beans, doWithApplicationContext, doWithDynamicMethods, doWithSpring, getApplicationContext, getConfig, getManager, onChange, onConfigChange, onShutdown, onStartup, setApplicationContext`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### public static final java.lang.String I18N_CACHE_SECONDS

    - #### public static final java.lang.String I18N_FILE_CACHE_SECONDS

  - ### Property Detail

    - #### java.lang.String baseDir

    - #### java.lang.String version

    - #### java.lang.String watchedResources

  - ### Method Detail

    - #### @java.lang.Override groovy.lang.Closure doWithSpring()

    - #### java.lang.Object isChildOfFile(java.io.File child, java.io.File parent)

    - #### @java.lang.Override void onChange(java.util.Map<java.lang.String, java.lang.Object> event)

    - #### java.lang.Object relativePath(java.io.File relbase, java.io.File file)